PuTTY phát hành bản cập nhật mới vá 8 lỗ hổng bảo mật nghiêm trọng 2019

388

Theo đó, PuTTY là phần mềm SSH client mã nguồn mở được sử dụng rộng rãi, cho phép người dùng truy cập từ xa qua các giao thức mạng SSH, Telnet và Rlogin. Sau 20 tháng không được cập nhật, mới đây các nhà phát triển PuTTY đã phát hành phiên bản cập nhật 0.71 cho phần mềm này trên cả 2 nền tảng là WindowsUnix.

putty-cap-nhat-701-patch

Theo khuyến cáo trên trang chủ, tất cả các phiên bản phần mềm PuTTY trước đây đều dễ bị ảnh hưởng bởi các lỗ hổng bảo mật, có thể cho phép tin tặc xâm nhập vào hệ thống máy chủ và chiếm quyền điều khiển hệ thống theo nhiều cách khác nhau.

8 lỗ hổng bảo mật nghiêm trọng trong phần mềm PuTTY được vá trong phiên bản 0.71 bao gồm:

  • Authentication Prompt Spoofing – lỗ hổng cho phép tin tặc truy cập và sao chép khoá mã (private key) của người dùng. từ đó chiếm quyền điều khiển máy chủ.
  • Code Execution via CHM hịacking – Khi khởi chạy phần trợ giúp trực tuyến trên PuTTY, phần mềm sẽ xác định các tệp trợ giúp thông qua mạng Internet. Điều này cho phép tin tặc chèn và thực thi mã độc tuỳ ý và chiếm quyền điều khiển máy chủ.
  • Buffer Overflow in Unix PuTTY tools – Theo lời khuyên, nếu một máy chủ mở quá nhiều chuyển tiếp cổng, PuTTY cho Unix không kiểm tra mô tả tệp đầu vào mà nó thu thập trong khi giám sát các bộ sưu tập mô tả tệp Unix đang hoạt động, dẫn đầu đến một vấn đề tràn bộ đệm.
  • Reusing Cryptographic Random Numbers – Vấn đề này nằm ở cách trình tạo số ngẫu nhiên mã hóa trong PuTTY, đôi khi sử dụng cùng một byte ngẫu nhiên hai lần.
  • Integer Overflow Flaw – Tất cả các phiên bản trước của PuTTY đều gặp phải sự cố tràn số nguyên do thiếu trao đổi khóa RSA kiểm tra kích thước khóa.
  • Terminal DoS Attacks – Ba lỗ hổng cuối cùng trong PuTTY cho phép máy chủ gặp sự cố hoặc làm chậm thiết bị đầu cuối của khách hàng bằng cách gửi các đầu ra văn bản khác nhau. Máy chủ có thể gửi một chuỗi ký tự Unicode dài không bị gián đoạn đến thiết bị đầu cuối của máy khách, điều này có thể dẫn đến một cuộc tấn công từ chối dịch vụ bằng cách khiến hệ thống phân bổ số lượng bộ nhớ không giới hạn.
  • Hiện tại, ngừoi dùng được khuyến cáo nên cập nhật lên phiên bản PuTTY 0.71 càng sớm càng tốt

Nguồn: The Hacker News

LEAVE A REPLY